<?php 
/*
*      Modern Skype button     
*/
class msb_widget extends WP_Widget {

  function __construct(){
    parent::__construct(
      'msb_widget', 
      __( 'Skpe button publisher' , 'msb_gallery' ),
      array( 'description' => __( "Publish a pre made skype button.", 'msb_gallery' ), ) 
    );
  }

  public function widget( $args, $instance ) {
    $title = apply_filters( 'widget_title', $instance['title'] );
    $button_id = $instance['button_id'];

    echo $args['before_widget'];
    if( ! empty( $title ) )     echo $args['before_title'] . $title . $args['after_title'];
    
    ?>
	
	<?php $shortcode="[skype id=".$instance['button_id']."]"; echo  do_shortcode( '[skype ac='.$instance['button_id'].']'); ?>
	
  <?php }


  public function form( $instance ) {
    if ( isset( $instance[ 'title' ] ) ) {
      $title = $instance[ 'title' ];
    } else {
      $title = __( 'Skype', 'msb_gallery' );
    }
    
    if ( isset( $instance[ 'button_id' ] ) ) {
        $button_id = (int) $instance[ 'button_id' ];
    }
    else {
        $button_id = 0;
    }
    $args = array(
      'child_of'     => 0,
      'sort_order'   => 'ASC',
      'sort_column'  => 'post_title',
      'hierarchical' => 1,
      'selected'     => $button_id,
      'name'         => $this->get_field_name( 'button_id' ),
      'id'           => $this->get_field_id( 'button_id' ),
      'echo'    => 1,
      'post_type' => 'skypebutton'
    );
    ?>
	<?php 
	if(1!==1){ ?>
    	   
	<?php } ?>
	<p><?php _e( 'You have to create at least 1 skype button to use this widget. Other wise you cannot select a button. create one ','msb_gallery');?> 
		<a href="edit.php?post_type=skypebutton">
			<?php _e( 'From Here ');?>
		</a><?php _e( 'if you not yet create a button. ');?>
	</p>	
	<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>">
	 		<?php _e( 'Title' ); ?>:
		</label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
	</p>
	<p>

		<label for="<?php echo $this->get_field_id( 'button_id' ); ?>"><?php _e( 'Select Button:' ); ?></label> 
		<?php wp_dropdown_pages( $args ); ?>
	</p>

	<script type="text/javascript">jQuery(function(){ jQuery('#<?php echo $this->get_field_id( 'button_id' ); ?>').addClass('widefat'); });</script>
    <?php 
  }

  public function update( $new_instance, $old_instance ) {
    $instance = array();
    $instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
    $instance['button_id'] = ( ! empty( $new_instance['button_id'] ) ) ? (int) $new_instance['button_id'] : 0;
    return $instance;
  }
}


function msb_load_widget() {
  	register_widget( 'msb_widget' );
}

add_action( 'widgets_init', 'msb_load_widget' );