<?php


// Creating the widget 
class wpb_widget extends WP_Widget {

function __construct() {
parent::__construct(
// Base ID of your widget
'wpb_widget', 

// Widget name will appear in UI
__('Modern skype button', 'wpb_widget_domain'), 

// Widget description
array( 'description' => __( 'Add skype button to sidebar. ', 'wpb_widget_domain' ), ) 
);
}

// Creating widget front-end ---------------------------
// This is where the action happens
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
// before and after widget arguments are defined by themes
echo $args['before_widget'];
if ( ! empty( $title ) )
echo $args['before_title'] . $title . $args['after_title'];

// This is where you run the code and display the output
?>
<?php if($instance['skype_ID']!==""){?>
<div id="SkypeButton_Call_<?php echo $instance['skype_ID']  ?>_1" style="<?php if($instance['button_type']=="dropdown"){echo 'padding-bottom:105px;';} ?> <?php if($instance['thumb_align']=="right"){echo 'text-align:right;';} ?><?php if($instance['thumb_align']=="center"){echo 'text-align:center;';} ?><?php if($instance['padding_top']=="0"){echo "";}else{echo "padding-top:".$instance['padding_top']."px;";} ?><?php if($instance['padding_left']=="0"){echo "";}else{echo "padding-left:".$instance['padding_left']."px;";} ?>" >
  <script type="text/javascript">
    Skype.ui({
		"name": "<?php echo $instance['button_type']  ?>",
		"element": "SkypeButton_Call_<?php echo $instance['skype_ID']  ?>_1",
		"participants": ["<?php echo $instance['skype_ID']  ?>"],
		<?php if ($instance['button_color']=="1"){echo '"imageColor": "white",';}else{echo "";} ?>
		"imageSize": <?php echo $instance['button_size']  ?>
    });
  </script>
</div>
<?php } else{echo "Oops! You forgot to enter Skype ID";}?>
<?php
echo $args['after_widget'];
}
		

	
// Updating widget replacing old instances with new
	function update( $new_instance, $old_instance ) {

		// Validate post_type submissions
		$name = get_post_types( array( 'public' => true ), 'names' );
		$types = array();
		foreach( $new_instance['post_type'] as $type ) {
			if ( in_array( $type, $name ) ) {
				$types[] = $type;
			}
		}
		if ( empty( $types ) ) {
			$types[] = 'post';
		}

		$instance                     = $old_instance;
		$instance['title']            = strip_tags( $new_instance['title'] );
		$instance['skype_ID']        = strip_tags( $new_instance['skype_ID'] );
		$instance['button_type']      = strip_tags( $new_instance['button_type'] );
		$instance['button_size']      = strip_tags( $new_instance['button_size'] );
		$instance['button_color']            = isset( $new_instance['button_color'] ) ? (bool) $new_instance['button_color'] : false;
		$instance['padding_left']     = (int)( $new_instance['padding_left'] );
		$instance['padding_top']      = (int)( $new_instance['padding_top'] );
		$instance['thumb_align']      = esc_attr( $new_instance['thumb_align'] );

		return $instance;

	}
	
	/**
	 * Displays the widget control options in the Widgets admin screen.
	 *
	 * @since 0.1
	 */
	function form( $instance ) {

		// Merge the user-selected arguments with the defaults.
		$instance = wp_parse_args( (array) $instance, rpwe_get_default_args() );

		// Extract the array to allow easy use of variables.
		extract( $instance );

		// Loads the widget form.
		include('form.php' );

	}	
	
	
} // Class wpb_widget ends here

/**
 * Sets up the default arguments.
 *
 * @since  0.9.4
 */
function rpwe_get_default_args() {

	$defaults = array(
		'title'            => esc_attr__( 'Skype', 'rpwe' ),
		'skype_ID'         => '',
		'button_type'      => '',
		'button_size'      => 16,
		'button_color'     => 0,
		'thumb_align'     => '',
		'padding_left'     => 0,
		'padding_top'     => 0,
	);

	// Allow plugins/themes developer to filter the default arguments.
	return apply_filters( 'rpwe_default_args', $defaults );

}
// Register and load the widget
function wpb_load_widget() {
	register_widget( 'wpb_widget' );
}
add_action( 'widgets_init', 'wpb_load_widget' );
