<?php
/**
 * Widget forms.
 *
 * @package    Modern skype button

 */
?>



	<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>">
			<?php _e( 'Title', 'modern-skype-button' ); ?>
		</label>
		<input class="widefat"  id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $instance['title'] ); ?>" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'skype_ID' ); ?>">
			<?php _e( 'Skype ID', 'modern-skype-button' ); ?>
		</label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'skype_ID' ); ?>" name="<?php echo $this->get_field_name( 'skype_ID' ); ?>" type="text" value="<?php echo esc_attr( $instance['skype_ID'] ); ?>" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'button_type' ); ?>">
			<?php _e( 'Button Type', 'modern-skype-button' ); ?>
		</label>
		<select class="widefat" id="<?php echo $this->get_field_id( 'button_type' ); ?>" name="<?php echo $this->get_field_name( 'button_type' ); ?>" style="width:100%;">
			
				<option value="call" <?php if ($instance['button_type']=="call"){echo 'selected="selected"';} ?> >Call</option>
				<option value="chat" <?php if ($instance['button_type']=="chat"){echo 'selected="selected"';}?> >Chat</option>
				<option value="dropdown"<?php if ($instance['button_type']=="dropdown"){echo 'selected="selected"';}?>>Dropdown</option>
		</select>
	</p>
	<p>	
		<label for="<?php echo $this->get_field_id( 'button_size' ); ?>">
			<?php _e( 'Button Size', 'modern-skype-button' ); ?>
		</label>
		
		<select class="widefat" id="<?php echo $this->get_field_id( 'button_size' ); ?>" name="<?php echo $this->get_field_name( 'button_size' ); ?>" style="width:100%;">
			
				<option value="10" <?php if ($instance['button_size']=="10"){echo 'selected="selected"';} ?> >10 Px</option>
				<option value="12" <?php if ($instance['button_size']=="12"){echo 'selected="selected"';}?> >12 Px</option>
				<option value="14"<?php if ($instance['button_size']=="14"){echo 'selected="selected"';}?>>14 Px</option>
				<option value="16"<?php if ($instance['button_size']=="16"){echo 'selected="selected"';}?>>16 Px</option>
				<option value="24"<?php if ($instance['button_size']=="24"){echo 'selected="selected"';}?>>24 Px</option>
				<option value="32"<?php if ($instance['button_size']=="32"){echo 'selected="selected"';}?>>32 Px</option>
		</select>		
	</p>
		<p>
			<input id="<?php echo $this->get_field_id( 'button_color' ); ?>" name="<?php echo $this->get_field_name( 'button_color' ); ?>" type="checkbox" <?php checked( $instance['button_color'] ); ?> />
			<label for="<?php echo $this->get_field_id( 'button_color' ); ?>">
				<?php _e( 'Display White colour button', 'modern-skype-button' ); ?>
			</label>
		</p>
		<hr />
		 <center><h5>Button Position Setting</h5></center>


		<p>
			<label class="rpwe-block" for="<?php echo $this->get_field_id( 'thumb_align' ); ?>">
				<?php _e( 'Button Alignment ', 'modern-skype-button' ); ?>
			</label>
			<select class="small-input" id="<?php echo $this->get_field_id( 'thumb_align' ); ?>" name="<?php echo $this->get_field_name( 'thumb_align' ); ?>">
				<option value="left" <?php if ($instance['thumb_align']=="left"){echo 'selected="selected"';} ?>><?php _e( 'Left', 'modern-skype-button' ) ?></option>
				<option value="right" <?php if ($instance['thumb_align']=="right"){echo 'selected="selected"';} ?>><?php _e( 'Right', 'modern-skype-button' ) ?></option>
				<option value="center" <?php if ($instance['thumb_align']=="center"){echo 'selected="selected"';} ?>><?php _e( 'Center', 'modern-skype-button' ) ?></option>
			</select>
		</p>
		<p>
			<label for="">Padding Left</label>
			<input class= "small-input" id="<?php echo $this->get_field_id( 'padding_left' ); ?>" name="<?php echo $this->get_field_name( 'padding_left' ); ?>" type="number" step="1" min="0" value="<?php echo (int)( $instance['padding_left'] ); ?>" /> Px
		
		</p>
		<p>
			<label for="">Padding Top  </label>
			<input class="small-input" id="<?php echo $this->get_field_id( 'padding_top' ); ?>" name="<?php echo $this->get_field_name( 'padding_top' ); ?>" type="number" step="1" min="0" value="<?php echo (int)( $instance['padding_top'] ); ?>"/> Px
		
		</p>

<div class="clear"></div>

